%define _name timerapplet
%define _name2 timer-applet
%define ver_major 2.1

Name: gnome-applets-extra-timer
Version: %ver_major.2
Release: alt1

Summary: GNOME Timer Applet
Group: Graphical desktop/GNOME
License: GPL
Url: http://%_name.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.org>

Source: http://downloads.sourceforge.net/%_name/%_name2-%version.tar.bz2

Requires: %name-data = %version-%release
Requires: gnome-panel

BuildPreReq: rpm-build-gnome >= 0.5

# From configure.ac
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libGConf-devel GConf
# We need distutils
BuildPreReq: python-devel rpm-build-python

%description
Timer Applet is a countdown timer applet for the GNOME panel.

%package data
Summary: GNOME Timer Applet - data files
Group: Graphical desktop/GNOME
BuildArch: noarch

%description data
Timer Applet is a countdown timer applet for the GNOME panel.
This package contains arch independent data for GNOME Timer Applet

%prep
%setup -q -n %_name2-%version

%build
%configure --disable-schemas-install
%make_build pkglibdir=%gnome_appletsdir

%install
%make_install DESTDIR=%buildroot pkglibdir=%gnome_appletsdir install

%find_lang --with-gnome %_name2

%post data
%gconf2_install %_name2

%preun data
if [ $1 = 0 ]; then
%gconf2_uninstall %_name2
fi

%files -f %_name2.lang
%gnome_appletsdir/%_name2
%bonobo_serversdir/*
%doc AUTHORS README ChangeLog

%files data
%python_sitelibdir_noarch/*
%_datadir/%_name2
%_pixmapsdir/*.png
%config %gconf_schemasdir/*.schemas

%changelog
* Tue Feb 16 2010 Yuri N. Sedunov <aris@altlinux.org> 2.1.2-alt1
- 2.1.2

* Wed Dec 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.1-alt3.1
- Rebuilt with python 2.6

* Sat Nov 15 2008 Yuri N. Sedunov <aris@altlinux.org> 2.0.1-alt3
- fix preun script (altbug #17895)
- don't call %%{update,clean}_scrollkeper

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 2.0.1-alt2.1
- Rebuilt with python-2.5.

* Sun Sep 09 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.1-alt2
- fixed building on x86_64

* Sun Jul 29 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.1-alt1
- new version (2.0.1)
- spec overhauled due to the program rewrite in Python.
- use macros from rpm-build-gnome
- moved the applet binary to the common GNOME applets location

* Mon May 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2-alt2
- moved the applet file to %%_libexecdir/gnome-applets.

* Tue Apr 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.2-alt1
- new version (1.2)
- spec cleanup, dependencies updated

* Sun Apr 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Wed Mar 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- 0.9

* Fri Mar 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt1
- First build for Sisyphus.

